Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision 4ef32e0c2a2647fd06ca517bb1fac066d2d77125)
+++ uspace/srv/net/nil/eth/eth.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -204,4 +204,5 @@
 	fibril_rwlock_write_lock(&eth_globals.protos_lock);
 	eth_globals.net_phone = net_phone;
+
 	eth_globals.broadcast_addr =
 	    measured_string_create_bulk("\xFF\xFF\xFF\xFF\xFF\xFF",
@@ -211,4 +212,5 @@
 		goto out;
 	}
+
 	rc = eth_devices_initialize(&eth_globals.devices);
 	if (rc != EOK) {
@@ -216,4 +218,5 @@
 		goto out;
 	}
+
 	rc = eth_protos_initialize(&eth_globals.protos);
 	if (rc != EOK) {
@@ -280,6 +283,6 @@
  *			netif_get_addr_req() function.
  */
-static int
-eth_device_message(device_id_t device_id, services_t service, size_t mtu)
+static int eth_device_message(device_id_t device_id, services_t service,
+    size_t mtu)
 {
 	eth_device_ref device;
@@ -302,5 +305,5 @@
 
 	fibril_rwlock_write_lock(&eth_globals.devices_lock);
-	// an existing device?
+	/* An existing device? */
 	device = eth_devices_find(&eth_globals.devices, device_id);
 	if (device) {
@@ -311,5 +314,5 @@
 		}
 		
-		// update mtu
+		/* Update mtu */
 		if ((mtu > 0) && (mtu <= ETH_MAX_TAGGED_CONTENT(device->flags)))
 			device->mtu = mtu;
@@ -321,5 +324,5 @@
 		fibril_rwlock_write_unlock(&eth_globals.devices_lock);
 		
-		// notify all upper layer modules
+		/* Notify all upper layer modules */
 		fibril_rwlock_read_lock(&eth_globals.protos_lock);
 		for (index = 0; index < eth_protos_count(&eth_globals.protos);
@@ -333,9 +336,10 @@
 			}
 		}
+
 		fibril_rwlock_read_unlock(&eth_globals.protos_lock);
 		return EOK;
 	}
 	
-	// create a new device
+	/* Create a new device */
 	device = (eth_device_ref) malloc(sizeof(eth_device_t));
 	if (!device)
@@ -358,4 +362,5 @@
 		return rc;
 	}
+
 	if (configuration) {
 		if (!str_lcmp(configuration[0].value, "DIX",
@@ -378,5 +383,5 @@
 	}
 	
-	// bind the device driver
+	/* Bind the device driver */
 	device->phone = netif_bind_service(device->service, device->device_id,
 	    SERVICE_ETHERNET, eth_receiver);
@@ -387,5 +392,5 @@
 	}
 	
-	// get hardware address
+	/* Get hardware address */
 	rc = netif_get_addr_req(device->phone, device->device_id, &device->addr,
 	    &device->addr_data);
@@ -396,5 +401,5 @@
 	}
 	
-	// add to the cache
+	/* Add to the cache */
 	index = eth_devices_add(&eth_globals.devices, device->device_id,
 	    device);
@@ -453,5 +458,5 @@
 	
 	if (type >= ETH_MIN_PROTO) {
-		// DIX Ethernet
+		/* DIX Ethernet */
 		prefix = sizeof(eth_header_t);
 		suffix = 0;
@@ -459,14 +464,15 @@
 		length -= sizeof(eth_fcs_t);
 	} else if(type <= ETH_MAX_CONTENT) {
-		// translate "LSAP" values
+		/* Translate "LSAP" values */
 		if ((header->lsap.dsap == ETH_LSAP_GLSAP) &&
 		    (header->lsap.ssap == ETH_LSAP_GLSAP)) {
-			// raw packet
-			// discard
+			/* Raw packet -- discard */
 			return NULL;
 		} else if((header->lsap.dsap == ETH_LSAP_SNAP) &&
 		    (header->lsap.ssap == ETH_LSAP_SNAP)) {
-			// IEEE 802.3 + 802.2 + LSAP + SNAP
-			// organization code not supported
+			/*
+			 * IEEE 802.3 + 802.2 + LSAP + SNAP
+			 * organization code not supported
+			 */
 			type = ntohs(header->snap.ethertype);
 			prefix = sizeof(eth_header_t) +
@@ -474,9 +480,10 @@
 			    sizeof(eth_header_snap_t);
 		} else {
-			// IEEE 802.3 + 802.2 LSAP
+			/* IEEE 802.3 + 802.2 LSAP */
 			type = lsap_map(header->lsap.dsap);
 			prefix = sizeof(eth_header_t) +
 			    sizeof(eth_header_lsap_t);
 		}
+
 		suffix = (type < ETH_MIN_CONTENT) ? ETH_MIN_CONTENT - type : 0U;
 		fcs = (eth_fcs_ref) data + prefix + type + suffix;
@@ -484,5 +491,5 @@
 		length = prefix + type + suffix;
 	} else {
-		// invalid length/type, should not occurr
+		/* Invalid length/type, should not occur */
 		return NULL;
 	}
@@ -506,7 +513,6 @@
 }
 
-int
-nil_received_msg_local(int nil_phone, device_id_t device_id, packet_t packet,
-    services_t target)
+int nil_received_msg_local(int nil_phone, device_id_t device_id,
+    packet_t packet, services_t target)
 {
 	eth_proto_ref proto;
@@ -521,4 +527,5 @@
 		return ENOENT;
 	}
+
 	flags = device->flags;
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
@@ -538,6 +545,6 @@
 		packet = next;
 	} while(packet);
+
 	fibril_rwlock_read_unlock(&eth_globals.protos_lock);
-	
 	return EOK;
 }
@@ -554,6 +561,5 @@
  * @returns		ENOENT if there is no such device.
  */
-static int
-eth_packet_space_message(device_id_t device_id, size_t *addr_len,
+static int eth_packet_space_message(device_id_t device_id, size_t *addr_len,
     size_t *prefix, size_t *content, size_t *suffix)
 {
@@ -569,4 +575,5 @@
 		return ENOENT;
 	}
+
 	*content = device->mtu;
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
@@ -575,4 +582,5 @@
 	*prefix = ETH_PREFIX;
 	*suffix = ETH_MIN_CONTENT + ETH_SUFFIX;
+
 	return EOK;
 }
@@ -587,6 +595,5 @@
  * @returns		ENOENT if there no such device.
  */
-static int
-eth_addr_message(device_id_t device_id, eth_addr_type_t type,
+static int eth_addr_message(device_id_t device_id, eth_addr_type_t type,
     measured_string_ref *address)
 {
@@ -644,7 +651,9 @@
 			return ENOMEM;
 		}
+
 		proto->service = service;
 		proto->protocol = protocol;
 		proto->phone = phone;
+
 		index = eth_protos_add(&eth_globals.protos, protocol, proto);
 		if (index < 0) {
@@ -705,4 +714,5 @@
 		if (!padding)
 			return ENOMEM;
+
 		bzero(padding, ETH_MIN_TAGGED_CONTENT(flags) - length);
 	}
@@ -782,6 +792,6 @@
  * @returns		EINVAL if the service parameter is not known.
  */
-static int
-eth_send_message(device_id_t device_id, packet_t packet, services_t sender)
+static int eth_send_message(device_id_t device_id, packet_t packet,
+    services_t sender)
 {
 	eth_device_ref device;
@@ -804,5 +814,5 @@
 	}
 	
-	// process packet queue
+	/* Process packet queue */
 	next = packet;
 	do {
@@ -810,5 +820,5 @@
 		    (uint8_t *) device->addr->value, ethertype, device->mtu);
 		if (rc != EOK) {
-			// release invalid packet
+			/* Release invalid packet */
 			tmp = pq_detach(next);
 			if (next == packet)
@@ -822,17 +832,16 @@
 	} while(next);
 	
-	// send packet queue
+	/* Send packet queue */
 	if (packet) {
 		netif_send_msg(device->phone, device_id, packet,
 		    SERVICE_ETHERNET);
 	}
+
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
-	
 	return EOK;
 }
 
-int
-nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
-    ipc_call_t *answer, int *answer_count)
+int nil_message_standalone(const char *name, ipc_callid_t callid,
+    ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
 	measured_string_ref address;
@@ -894,5 +903,4 @@
  * @param[in] iid	The initial message identifier.
  * @param[in] icall	The initial message call structure.
- *
  */
 static void nil_client_connection(ipc_callid_t iid, ipc_call_t *icall)
